<template>
    <footer>
      <div class="footer_bg">
        <div class="container">
          <div class="row">
            <div class="col-md-5 col-lg-3 col-xl-4"> <a href="/" replace><img src="/front-end/images/footer-logo.png"></a> </div>
            <div class="col-md-7 col-lg-9 col-xl-8">
              <div class="ftr_address">
                <ul>
                  <li v-if="location!=''"><i class="fas fa-map-marker-alt"></i> {{location}}</li>
                  <li v-if="contact_phone_link!=''"><i class="fas fa-phone-alt"></i> <a :href="'tel:'+contact_phone_link">{{contact_phone_text}}</a></li>
                </ul>
              </div>
            </div>
            <div class="col-sm-12" v-if="categories.length>0">
              <div class="grid-container">
                <div class="grid_item" v-for="(category,i) in categories" :key="i" v-if="category.child_categories.length>0"> 
                  <ul>
                    <li >
                      <a :href="location_name+'/'+category.link_rewrite"  replace>{{ category.name }}</a>
                      <ul v-if="category.child_categories.length>0">
                        <li v-for="(child,ind) in category.child_categories" :key="ind">
                          <a :href="location_name+'/'+category.link_rewrite+'/'+child.link_rewrite" replace>{{ child.name }}</a>
                          </li>
                      </ul>
                    </li>
                  </ul>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="copyright_content">
          <div class="container">
            <div class="row">
              <div class="col-md-12 col-lg-5"> Copyright &copy; {{ current_year }} Perth  Rentals. All Rights Reserved. </div>
              <div class="col-md-12 col-lg-7">
                <div class="float-right"><a href="/privacy-policy">Privacy Policy</a>  |  <a href="/complaints-policy">Complaints Policy</a></div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </footer>
</template>
<script>
var moment=require('moment')
import {cloneDeep} from 'lodash';
import options from '~/assets/options';
export default {
  data() {
    return  {
      options     : options,
      categories : this.$store.state.front_end_data.category_options,
      contact_phone : this.$store.state.front_end_data.contact_phone,
      location : this.$store.state.front_end_data.allset_location,
      current_year : moment().format('YYYY'),
      domain        : this.$store.state.front_end_data.domain,
      contact_phone_text: this.$store.state.front_end_data.site_defaults.footer_contact_text,
      contact_phone_link: this.$store.state.front_end_data.site_defaults.footer_contact_link,
      // location_name : this.$store.state.front_end_data.location_name,
    }
  },
  computed: {
    location_name(){
      if(this.$store.state.front_end_data.location_name!='' && this.$store.state.front_end_data.location_name!=null) {
        return '/'+this.$store.state.front_end_data.location_name;
      }
      return "";
    }
  },
  mounted() {
    this.$store.watch(() => this.$store.state.front_end_data, async () => {
         this.location_name = this.$store.state.front_end_data.location_name;
    });
    setTimeout(() => {
      bodyOnLoad();
    }, 0);
  },
  methods:{
    getContactPhone() {
      let two_digit = this.contact_phone.substring(0,2);
     let four_digit = this.contact_phone.substring(2,6);
      let contact_phone = cloneDeep(this.contact_phone).replace(four_digit,four_digit+" ");
      return contact_phone.replace(two_digit,'('+two_digit+') ');
    },
  }
}
</script>